GDB (xrefs)

Public Attributes | List of all members
macro_key Struct Reference

## Public Attributes
struct macro_table * | table
const char * | name
struct macro_source_file * | start_file
int | start_line
struct macro_source_file * | end_file
int | end_line

## Detailed Description

Definition at line 157 of file macrotab.c.

## Member Data Documentation

## ◆ end_file

struct macro_source_file* macro_key::end_file

Definition at line 178 of file macrotab.c.

Referenced by find_definition(), foreach_macro_in_scope(), macro_undef(), and new_macro_key().

## ◆ end_line

int macro_key::end_line

Definition at line 179 of file macrotab.c.

Referenced by find_definition(), foreach_macro_in_scope(), and macro_undef().

## ◆ name

const char* macro_key::name

Definition at line 167 of file macrotab.c.

Referenced by find_definition(), foreach_macro(), foreach_macro_in_scope(), key_compare(), macro_tree_compare(), macro_tree_delete_key(), and new_macro_key().

## ◆ start_file

struct macro_source_file* macro_key::start_file

Definition at line 171 of file macrotab.c.

Referenced by check_for_redefinition(), foreach_macro(), foreach_macro_in_scope(), key_compare(), macro_definition_location(), macro_tree_compare(), macro_undef(), and new_macro_key().

## ◆ start_line

int macro_key::start_line

Definition at line 172 of file macrotab.c.

Referenced by check_for_redefinition(), foreach_macro(), foreach_macro_in_scope(), key_compare(), macro_definition_location(), macro_tree_compare(), macro_undef(), and new_macro_key().

## ◆ table

struct macro_table* macro_key::table

Definition at line 163 of file macrotab.c.

Referenced by macro_tree_delete_key(), and new_macro_key().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/macrotab.c